{lib, ...}: {
  boot.loader = {
    efi.canTouchEfiVariables = true;
    limine = {
      enable = true;
      efiSupport = true;
    };
    timeout = lib.mkDefault 2;
  };
  environment.persistence."/persist" = {
    enable = true;
    hideMounts = true;
    directories = [
      "/var/log"
      "/var/lib/bluetooth"
      "/var/lib/nixos"
      "/var/lib/systemd/coredump"
      "/etc/NetworkManager/system-connections"
    ];
    users."mtgmonkey" = {
      directories = [
        "Downloads"
        ".backups"
        ".ssh"
      ];
    };
  };
  hardware.bluetooth = {
    enable = true;
    powerOnBoot = true;
  };
  i18n.defaultLocale = "de_DE.UTF-8";
  networking = {
    dhcpcd.enable = true;
    firewall.enable = true;
    hostName = "nixos";
    networkmanager.enable = true;
  };
  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];
  nixpkgs.config.allowUnfreePredicate = pkg:
    builtins.elem (lib.getName pkg) [
      "steam"
      "steam-original"
      "steam-unwrapped"
      "steam-run"
    ];
  programs = {
    noshell.enable = true;
    steam.enable = true;
    sway.enable = true;
  };
  services = {
    blueman.enable = true;
    displayManager = {
      enable = true;
      ly.enable = true;
    };
    libinput.enable = true;
    printing.enable = true;
  };
  system.stateVersion = "26.05";
  time.timeZone = "Europe/Berlin";
  users.users."mtgmonkey" = {
    isNormalUser = true;
    description = "mtgmonkey";
    extraGroups = [
      "networkmanager"
      "wheel"
    ];
  };
}
